## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond  tests   1

Name:           swayimg
Version:        4.1
Release:        %autorelease
Summary:        Lightweight image viewer for Wayland display servers

License:        MIT
URL:            https://github.com/artemsen/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  desktop-file-utils
BuildRequires:  gcc
%if %{with tests}
BuildRequires:  gcc-c++
%endif
BuildRequires:  meson >= 0.60

BuildRequires:  giflib-devel
BuildRequires:  pkgconfig(OpenEXR) >= 3.1
BuildRequires:  pkgconfig(bash-completion)
BuildRequires:  pkgconfig(fontconfig)
%if %{with tests}
BuildRequires:  pkgconfig(gtest)
%endif
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libavif)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libheif)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libjxl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libraw)
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.46
BuildRequires:  pkgconfig(libsixel)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(libwebpdemux)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.35
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(xkbcommon)

Requires:       hicolor-icon-theme

%description
Swayimg is a lightweight image viewer for Wayland display servers.


%prep
%autosetup


%build
%meson \
    -Dtests=%[%{with tests}?"enabled":"disabled"] \
    -Dversion=%{version}
%meson_build


%install
%meson_install


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/swayimg.desktop
%if %{with tests}
# HEIF test requires libheif-freeworld from rpmfusion
%global gtest_exclude Image.Load_heif
# A few tests fail on s390x (endianness?)
%ifarch s390x
%global gtest_exclude %{gtest_exclude}:Image.*
%endif
# ???
%ifarch ppc64le
%global gtest_exclude %{gtest_exclude}:Image.Load_jxl
%endif
%meson_test --test-args='--gtest_filter=-%{gtest_exclude}'
%endif


%files
%license LICENSE
%doc README.md
%{_bindir}/swayimg
%{_mandir}/man1/swayimg.1*
%{_mandir}/man5/swayimgrc.5*
%{_datadir}/applications/swayimg.desktop
%{_datadir}/icons/hicolor/*/apps/swayimg.png
%dir %{_datadir}/swayimg
%{_datadir}/swayimg/swayimgrc
%{bash_completions_dir}/swayimg
%{zsh_completions_dir}/_swayimg


%changelog
## START: Generated by rpmautospec
* Sat May 31 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 4.1-1
- Update to 4.1 (#2369554)

* Sun May 18 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 4.0-1
- Update to 4.0 (#2352592)

* Fri Mar 14 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 3.9-1
- Update to 3.9

* Sun Feb 02 2025 Sérgio M. Basto <sergio@serjux.com> - 3.8-2
- Rebuild for jpegxl (libjxl) 0.11.1

* Sun Feb 02 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 3.8-1
- Update to 3.8 (#2343319)

* Sun Jan 19 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 3.7-1
- Update to 3.7

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Dec 08 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 3.6-1
- Update to 3.6

* Mon Nov 18 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 3.5-1
- Initial import (#2326735)
## END: Generated by rpmautospec
